Bug 1019421 - Copying external nodes into internal nodes results in incorrect binary values
Copying external nodes into internal nodes results in incorrect binary values
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: ModeShape (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER3
: ---
Assigned To: Horia Chiorean
: QA-Closed
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 12:50 EDT by Horia Chiorean
Modified: 2016-02-10 03:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:57:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker MODE-2073 Blocker Closed Copying external nodes into internal nodes results in incorrect binary values 2014-02-18 05:19:08 EST

  None (edit)
Description Horia Chiorean 2013-10-15 12:50:11 EDT
See linked issue for details.
Comment 1 JBoss JIRA Server 2013-10-15 13:37:38 EDT
Horia Chiorean <hchiorea@redhat.com> made a comment on jira MODE-2073

Attached a PR which fixes the issue.
Comment 2 JBoss JIRA Server 2013-10-15 18:50:23 EDT
Randall Hauch <rhauch@jboss.org> made a comment on jira MODE-2073

Replaced [~hchiorean]'s [first pull-request|https://github.com/ModeShape/modeshape/pull/978] with [another|https://github.com/ModeShape/modeshape/pull/980] that converts all of the external binary values in a property (not just the first one).
Comment 3 JBoss JIRA Server 2013-10-15 19:21:10 EDT
Randall Hauch <rhauch@jboss.org> made a comment on jira MODE-2073

Merged my pull request into the 'master' branch.
Comment 4 JBoss JIRA Server 2013-10-17 11:13:04 EDT
Randall Hauch <rhauch@jboss.org> made a comment on jira MODE-2073

Leaving this open until it can be cherry-picked into the '3.3.x-prod-ip6.0' branch.
Comment 7 JBoss JIRA Server 2013-10-24 05:20:21 EDT
Randall Hauch <rhauch@jboss.org> updated the status of jira MODE-2073 to Closed
Comment 8 belong 2013-11-17 22:06:02 EST
Fixed before GA of major release - setting to requires_doc_text- accordingly

Note You need to log in before you can comment on or make changes to this bug.